/*

  Flame Sensor Module (Calibration)

  Parts required:
  - Arduino Board
  - Flame Sensor Module (3 pin)

  Programming by : René Rasmussen
  Website : www.it-teknolog.dk
  Contact : renerasmussen@it-teknolog.dk
  Date : 27 Jan 2020
  Version : v1.0

  ***** REMEMBER TO OPEN YOUR SERIAL MONITOR TO SEE THE RESULT *****

*/

// Initialize all variables
int digitalReadPin = 7;                            // set digitalReadPin as pin 7
int digitalReadValue;                              // set digitalReadValue as integer

void setup() {
  pinMode(digitalReadPin, INPUT);                  // set digitalReadPin as INPUT
  Serial.begin(9600);                              // start Serial Communication

  // Print text to Serial Monitor
  Serial.println("--------------- INSTRUCTION ---------------");
  Serial.println("");
  Serial.println("You need to calibrate the potentiometer");
  Serial.println("on the Flame Module until the value is 1");
  Serial.println("");
  Serial.println("REMEMBER THE VALUE OF THE POTENTIOMETER");
  Serial.println("");
  Serial.println("-------------------------------------------");
  Serial.println("");
  Serial.println("Press ENTER when you are ready..");

  while (Serial.available() == 0) {}               // Wait until user are ready
}

void loop() {

  digitalReadValue = digitalRead(digitalReadPin);  // read analogReadPin and store in analogReadValue
  Serial.println(digitalReadValue);                // print value to Serial monitor
  delay(100);                                      // wait 100ms
}
